| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::PlatformViewPlugin Class Reference

`#include <platform_view_plugin.h>`

Inheritance diagram for flutter::PlatformViewPlugin:

## Public Member Functions
| PlatformViewPlugin (BinaryMessenger *messenger, TaskRunner *task_runner)
| ~PlatformViewPlugin ()
std::optional< HWND > | GetNativeHandleForId (PlatformViewId id) const
void | RegisterPlatformViewType (std::string_view type_name, const FlutterPlatformViewTypeEntry &type)
bool | AddPlatformView (PlatformViewId id, std::string_view type_name) override
void | InstantiatePlatformView (PlatformViewId id)
bool | FocusPlatformView (PlatformViewId id, FocusChangeDirection direction, bool focus) override
Public Member Functions inherited from flutter::PlatformViewManager
| PlatformViewManager (BinaryMessenger *binary_messenger)
virtual | ~PlatformViewManager ()

## Detailed Description

Definition at line 18 of file platform_view_plugin.h.

## Constructor & Destructor Documentation

## ◆ PlatformViewPlugin()

flutter::PlatformViewPlugin::PlatformViewPlugin | ( | BinaryMessenger * | messenger,
|  | TaskRunner * | task_runner
| ) |  |

Definition at line 9 of file platform_view_plugin.cc.

11 : PlatformViewManager(messenger), task_runner_(task_runner) {}

## ◆ ~PlatformViewPlugin()

flutter::PlatformViewPlugin::~PlatformViewPlugin | ( |  | ) |

Definition at line 13 of file platform_view_plugin.cc.

13 {}

## Member Function Documentation

## ◆ AddPlatformView()

bool flutter::PlatformViewPlugin::AddPlatformView | ( | PlatformViewId | id,
|  | std::string_view | type_name
| ) |  |
| overridevirtual

Implements flutter::PlatformViewManager.

Definition at line 34 of file platform_view_plugin.cc.

35 {
36 return true;
37 }

## ◆ FocusPlatformView()

bool flutter::PlatformViewPlugin::FocusPlatformView | ( | PlatformViewId | id,
|  | FocusChangeDirection | direction,
|  | bool | focus
| ) |  |
| overridevirtual

Implements flutter::PlatformViewManager.

Definition at line 41 of file platform_view_plugin.cc.

43 {
44 return true;
45 }

## ◆ GetNativeHandleForId()

std::optional< HWND > flutter::PlatformViewPlugin::GetNativeHandleForId | ( | PlatformViewId | id | ) | const

Definition at line 17 of file platform_view_plugin.cc.

18 {
19 return std::nullopt;
20 }

## ◆ InstantiatePlatformView()

void flutter::PlatformViewPlugin::InstantiatePlatformView | ( | PlatformViewId | id | ) |

Definition at line 30 of file platform_view_plugin.cc.

30 {}

## ◆ RegisterPlatformViewType()

void flutter::PlatformViewPlugin::RegisterPlatformViewType | ( | std::string_view | type_name,
|  | const FlutterPlatformViewTypeEntry & | type
| ) |  |

Definition at line 24 of file platform_view_plugin.cc.

26 {}

The documentation for this class was generated from the following files:

- shell/platform/windows/platform_view_plugin.h
- shell/platform/windows/platform_view_plugin.cc

flutter::PlatformViewManager::PlatformViewManager
PlatformViewManager(BinaryMessenger *binary_messenger)
Definition: platform_view_manager.cc:21